Summary:	Leptonica - image processing and analysis library
Summary(pl.UTF-8):	Leptonica - biblioteka do przetwarzania i analizy obrazu
Name:		leptonlib
Version:	1.69
Release:	2
License:	BSD-like
Group:		Libraries
#Source0Download: http://code.google.com/p/leptonica/downloads/list
Source0:	http://leptonica.googlecode.com/files/leptonica-%{version}.tar.bz2
# Source0-md5:	3c442f4edaf0be25dc92dc0012f94a37
Patch0:		%{name}-endiantest.patch
URL:		http://www.leptonica.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	giflib-devel >= 4
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leptonica - image processing and analysis library.

%description -l pl.UTF-8
Leptonica - biblioteka do przetwarzania i analizy obrazu.

%package devel
Summary:	Header files for lepton library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lepton
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	giflib-devel >= 4
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Requires:	libwebp-devel
Requires:	zlib-devel

%description devel
Header files for lepton library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lepton.

%package static
Summary:	Static lepton library
Summary(pl.UTF-8):	Statyczna biblioteka lepton
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lepton library.

%description static -l pl.UTF-8
Statyczna biblioteka lepton.

%prep
%setup -q -n leptonica-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# programs are mostly examples or tests (seems nothing really useful)
# and they have too generic names
%configure \
	--disable-programs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.html leptonica-license.txt version-notes.html moller52.jpg
%attr(755,root,root) %{_libdir}/liblept.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblept.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblept.so
%{_libdir}/liblept.la
%{_includedir}/leptonica

%files static
%defattr(644,root,root,755)
%{_libdir}/liblept.a
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/leptonlib.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e16d1a8
- release 2 (by relup.sh)

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> cf9fca9
- updated to 1.69 (note: new soname; upstream package is now named leptonica)
- removed obsolete includes patch

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> da9e8b0
- new, need to include zlib.h explicitely

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> b05d52d
- release 4 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 53f5e1e
- release 3

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8556517
- release 2

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> b222348
- updated to 1.67
- removed obsolete shared patch
- follow upstream: soname back to .so.0, includedir changed to leptonica

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 9ce296f
- BR: libstdc++-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1aab624
- release 4

* Sat Jul 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a8630f7
- release 3

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d5b410c
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 648375e
- updated to 1.57 (uses ac/am now; note: includedir changed)
- outdated link patch replaced by shared patch (to make shared library again)

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 36c3978
- build shared lib, preserving old liblept.so.1 soname

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> e91caa8
- outdated

* Thu Mar 27 2008 Szymon Siwek <sls@pld-linux.org> d286f9a
- rel. 1

* Thu Mar 27 2008 Szymon Siwek <sls@pld-linux.org> 763b2eb
- ver. 1.55 (NFY)

* Wed Feb 20 2008 tommat <tommat@pld-linux.org> a29ab79
- added endiantest patch - fixes sparc64

* Wed Feb 20 2008 tommat <tommat@pld-linux.org> 1b19e49
- use 32bit integer always

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 5ac2775
- up to 1.52

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 27faaf1
- updated to 1.48

